%define uname	ortp
%define major	9
%define libname	%mklibname %{name}
%define libnamedev %mklibname %{name} -d

Summary:	Real-time Transport Protocol Stack
Name:		ortp9
Version:	0.24.2
Release:	%mkrel 3
License:	LGPLv2+
Group:		Networking/Other
URL:		http://linphone.org/ortp/
Source0:	http://download.savannah.gnu.org/releases/linphone/ortp/%{uname}-%{version}.tar.gz
Source1:	http://download.savannah.gnu.org/releases/linphone/ortp/%{uname}-%{version}.tar.gz.sig

BuildRequires:	doxygen

%description
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889). It is available for most unix clones (primilarly Linux and
HP-UX), and Microsoft Windows.
This old version is required by ghpsdr3.

%package -n	%{libname}
Summary:	Real-time Transport Protocol Stack
Group:		System/Libraries

%description -n	%{libname}
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889). It is available for most unix clones (primilarly Linux and
HP-UX), and Microsoft Windows.

%package -n	%{libnamedev}
Summary:	Headers, libraries and docs for the oRTP library
Group:		Development/Other
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Requires:	%{libname} = %{version}
Conflicts:	%{uname}-devel > %{version}
Conflicts:	lib%{uname}-devel > %{version}

%description -n %{libnamedev}
oRTP is a LGPL licensed C library implementing the RTP protocol
(rfc1889). It is available for most unix clones (primilarly Linux and
HP-UX), and Microsoft Windows.

This package contains header files and development libraries needed to
develop programs using the oRTP library.

%prep
%setup -q -n %{uname}-%{version}

%build
%configure \
    --disable-strict \
    --enable-shared \
    --disable-static

%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{libnamedev}
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{uname}
%{_datadir}/doc/%{uname}-%{version}


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.24.2-3.mga8
+ Revision: 1515735
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.24.2-2.mga7
+ Revision: 1300062
- Mageia 7 Mass Rebuild

* Wed Oct 25 2017 barjac <barjac> 0.24.2-1.mga7
+ Revision: 1173593
- This major 9 is required by ghpsdr3/qtradio
- Removed BR openssl-devel which appears to be not required
- Added conflicts to -devel packages
- Updated some macros
+ oden <oden>
- 0.24.2

* Thu Apr 30 2015 oden <oden> 0.24.1-1.mga6
+ Revision: 820861
- 0.24.1

* Wed Oct 15 2014 umeabot <umeabot> 0.23.0-3.mga5
+ Revision: 746496
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.23.0-2.mga5
+ Revision: 683274
- Mageia 5 Mass Rebuild

* Sat Feb 22 2014 luigiwalser <luigiwalser> 0.23.0-1.mga5
+ Revision: 595664
- 0.23.0

* Sat Oct 19 2013 umeabot <umeabot> 0.22.0-2.mga4
+ Revision: 528856
- Mageia 4 Mass Rebuild
+ fwang <fwang>
- drop srtp support as ortp requires private branch of srtp
- build with srtp

* Fri Jun 28 2013 fwang <fwang> 0.22.0-1.mga4
+ Revision: 447688
- update file list
- update libmajor
- update rpm group
- new version 0.22.0
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 05 2012 luigiwalser <luigiwalser> 0.20.0-1.mga3
+ Revision: 278887
- 0.20.0

* Tue Dec 27 2011 fwang <fwang> 0.18.0-1.mga2
+ Revision: 188082
- upload tarbal
- new version 0.18.0

* Mon Dec 26 2011 fwang <fwang> 0.16.5-1.mga2
+ Revision: 187822
- new version 0.16.5

* Thu Jan 20 2011 ahmad <ahmad> 0.16.3-2.mga1
+ Revision: 26402
- drop old/unneeded scriptlets
- imported package ortp

